//
// Created by bastian on 30.03.22.
//

#ifndef BUILD_INAREATEST_H
#define BUILD_INAREATEST_H

#include <behaviortree_cpp_v3/condition_node.h>
#include <geometry_msgs/msg/pose.hpp>
#include "../Area.h"

namespace BT {

    class InAreaTest : public ConditionNode {
    public:
        InAreaTest(const std::string &name, const NodeConfiguration &config);

        static PortsList providedPorts();

        NodeStatus tick() override;
    };

}

#endif //BUILD_INAREATEST_H
